2
votes
0answers
17 views

mysql 5.1.44: -e not executing and exiting properly on OSX

This function works on 5.0.75 on Ubuntu, but not on 5.1.44 on OSX (Lion): mysql --database=sps --host=localhost --user=root --password=somepass -e "SELECT 1;" The expected output is this: +---+ | ...
1
vote
2answers
176 views

Can I sleep my laptop during a MySQL import?

I'm importing my company's entire DB into a local database. Would closing my laptop, thus putting it to sleep, make me have to start over, or would it recover as normal? It's a MacBook Pro with OSX ...
2
votes
2answers
2k views

$PATH issues with OSX Lion

I'm having some issues with running mysql from terminal: macmini:~ michael$ which mysql /Applications/XAMPP/xamppfiles/bin/mysql macmini:~ michael$ mysql -bash: /usr/local/mysql/bin/mysql: No such ...
4
votes
1answer
3k views

Trying to install MySQL, lots of brew doctor errors

In OS X Lion I couldn't install mysql. I get this when typing brew install mysql Error: You must `brew link cmake' before mysql can be installed so then I type brew link cmake ...
2
votes
2answers
793 views

Can't get MAMP Pro 2.0.5 to work

I've been using MAMP for years. Rarely had any issues. I'm currently running OSX 10.7.4. I just upgraded MAMP to v2.0.5 and bought/installed MAMP PRO... but I can't get it to work. I can still you ...
1
vote
1answer
476 views

Apache can't load dbi module in mac os x

I installed dbd:mysql via cpan. I have the following simple script: #!/usr/bin/perl -U use DBI; $ds = 'DBI:mysql:project:localhost'; $user = 'root'; $password = '123456'; $db = DBI->connect($ds, ...
1
vote
2answers
624 views

MySQL 64-bit Mac OS-X Lion status shows “i386”

I'm trying to get mysqldb running on OSX Lion 10.7.3 and I've installed 64-bit Python, but am having trouble getting the 64-bit version of mysql installed. I've downloaded and installed the 64-bit ...
1
vote
1answer
4k views

Installing MySQL 5.1 on OS X 10.7 Lion

I am trying to install MySQL 5.1. I am on Lion, and when I remove all files associated with MySQL on my machine it still tells me that I have a newer version installed when I try to install it from ...
1
vote
2answers
1k views

MAMP set up from scratch on Lion OSX

How different is it from Snow Leopard to create a MySQL, Apache, PHP install from scratch (not MAMP) on Mac OSX 10.7 Lion?